## poppler-0.57 0.57.0

=== debian/changelog ===
poppler-0.57 (0.57.0-2+rpi1) buster-staging; urgency=medium

  * Rename source package and dev package and remove packages other than the
    main library and it's dev packages to keep old poppler around for the moment
    so poppler transition can go through without removing xpdf.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 14 Dec 2017 17:54:05 +0000

poppler (0.57.0-2) unstable; urgency=medium

  * debian/copyright: Add missing copyright holders. Closes: #872298.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 29 Aug 2017 18:42:54 +0200

poppler (0.57.0-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Update Vcs-* fields.
  * Add a lintian override for the "breaks-without-version xpdf-common" in
    poppler-utils, as it is making sure to clean up xpdf-common for upgrades
    to Buster.

  [ Emilio Pozuelo Monfort ]
  * New upstream release. Closes: #860955.
  * Fixes:
    CVE-2017-9406: memory leak parsing XRef entries. Closes: #864010.
    CVE-2017-9408: memory leak in Object::initArray. Closes: #864009.
    CVE-2017-9775: stack buffer overflow in GfxState.cc. Closes: #865680.
    CVE-2017-9776: integer overflow leading to heap buffer overflow
    in JBIG2Stream.cc. Closes: #865679.
    CVE-2017-9865: stack buffer overflow in GfxImageColorMap::getGray.
    Closes: #867477.
    CVE-2017-7511: pdfunite denial of service due to null pointer
    dereference. Closes: #863759.
    CVE-2017-7515: crash in tools due to infinite recursion.
  * debian/patches/upstream_pdfseparate-remove-extra-in-error-message.patch:
    + Dropped, fixed upstream.
  * Update symbols files.
  * libpoppler64 -> libpoppler68.
  * Re-enable PIE. Looks like Qt5 got fixed.
  * Bump debhelper compat to 10.
    + debhelper now defaults to --with autoreconf.
    + It also defaults to --parallel.
  * Switch to -dbgsym packages.
  * Set the team as maintainer.
  * Add myself to uploaders.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 14 Aug 2017 22:19:15 +0200

poppler (0.48.0-2) unstable; urgency=medium

  * Upload to unstable. (See #839869)
  * autopkgtest: build the qt5 test with -std=c++11, required with Qt5 >= 5.6.
  * Backport upstream commit 5d15a52aade68c618c356fe403ca500e74917ef7 to remove
    an extra '%' in an error message of pdfseparate; patch
    upstream_pdfseparate-remove-extra-in-error-message.patch. (Closes: #835202)

 -- Pino Toscano <pino@debian.org>  Sat, 05 Nov 2016 08:29:43 +0100

poppler (0.48.0-1) experimental; urgency=medium

  * New upstream release:
    - fixes UTF-16 decoding of document outline title (Closes: #702082)
    - fixes crashes in PDF documents (Closes: #830565)
  * Rename packages according to the new SONAMEs:
    - libpoppler61 -> libpoppler64
  * Update copyright.
  * Bump the libglib2.0-dev (build-)dependency to 2.41, as noted in the
    upstream build system.
  * Update symbols files.
  * Bump shlibs for libpoppler-cpp0v5 to >= 0.46.0, following the new APIs
    added.
  * Install the GObject introspection data in a multi-arch directory:
    - bump the libgirepository1.0-dev, and gobject-introspection to
      >= 1.42.0-2~, as providing a fixed dh_girepository
    - update gir1.2-poppler-0.18.install
    - mark gir1.2-poppler-0.18 as Multi-Arch: same

 -- Pino Toscano <pino@debian.org>  Sat, 08 Oct 2016 20:14:42 +0200

poppler (0.44.0-3) unstable; urgency=medium

  * Switch from OpenJPEG 1.x to 2.x: (Closes: #826825)
    - replace the libopenjpeg-dev build dependency with libopenjp2-7-dev
    - pass --enable-libopenjpeg=openjpeg2 to configure, to be sure OpenJPEG 2.x
      is used

 -- Pino Toscano <pino@debian.org>  Thu, 09 Jun 2016 23:14:49 +0200

poppler (0.44.0-2) unstable; urgency=medium

  * Upload to unstable. (See #823667)

 -- Pino Toscano <pino@debian.org>  Fri, 27 May 2016 22:13:46 +0200

poppler (0.44.0-1) experimental; urgency=medium

  * New upstream release.
  * Rename packages according to the new SONAMEs:
    - libpoppler60 -> libpoppler61
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 22 May 2016 08:46:59 +0200

poppler (0.43.0-1) experimental; urgency=medium

  * New upstream release: (Closes: #822644)
    - fixes pdfinfo man page (Closes: #813500)
    - fixes build with GCC 6 (Closes: #811901)
  * Rename packages according to the new SONAMEs:
    - libpoppler57 -> libpoppler60
  * Update copyright.
  * Update symbols files:
    - adapt to the different internal symbols with GCC 6
  * Update build dependencies:
    - add zlib1g-dev for Flate compression
    - add libnss3-dev for signature handling
  * Mention pdfsig in the description of poppler-utils.

 -- Pino Toscano <pino@debian.org>  Sun, 01 May 2016 09:31:22 +0200

poppler (0.38.0-3) unstable; urgency=medium

  * Backport upstream commit b3425dd3261679958cd56c0f71995c15d2124433 to fix
    a crash on invalid files, reported also as CVE-2015-8868; patch
    upstream_Do-not-crash-on-invalid-files.patch. (Closes: #822578)
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Apr 2016 16:51:07 +0200

poppler (0.38.0-2) unstable; urgency=medium

  * Upload to unstable. (See #807089)

 -- Pino Toscano <pino@debian.org>  Wed, 09 Dec 2015 20:21:27 +0100

poppler (0.38.0-1) experimental; urgency=medium

  * New upstream release:
    - fixes an initialized value in Splash (Closes: #777250)
  * Rename packages according to the new SONAMEs:
    - libpoppler47 -> libpoppler57
  * Update copyright.
  * debian/patches:
    - qt-visibility.diff: refresh
  * Update symbols files.
  * Merge changes from 0.26.5-3 and 0.26.5-4.

 -- Pino Toscano <pino@debian.org>  Sun, 29 Nov 2015 19:42:03 +0100

poppler (0.28.1-1) experimental; urgency=medium

  * New upstream release:
    - fix typo in JPX stream decoder (Closes: #764997)
  * Rename packages according to the new SONAMEs:
    - libpoppler46 -> libpoppler47
  * debian/patches:

