=== debian/control ===
Source: poppler-0.57
Section: devel
Priority: optional
Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
Uploaders: Josselin Mouette <joss@debian.org>,
           Loic Minier <lool@dooz.org>,
           Pino Toscano <pino@debian.org>,
           Emilio Pozuelo Monfort <pochu@debian.org>,
Build-Depends: debhelper (>= 10),
               dpkg (>= 1.16.1),
               libglib2.0-dev (>= 2.41),
               libfontconfig1-dev,
               libqt4-dev (>= 4:4.7.0),
               libcairo2-dev (>= 1.10.0),
               libopenjp2-7-dev,
               libjpeg-dev,
               libpng-dev,
               libtiff-dev,
               liblcms2-dev,
               libfreetype6-dev,
               gtk-doc-tools (>= 1.14),
               pkg-config (>= 0.18),
               libgirepository1.0-dev (>= 1.42.0-2~),
               gobject-introspection (>= 1.42.0-2~),
               qtbase5-dev,
               zlib1g-dev,
               libnss3-dev,
               libglib2.0-doc,
               libcairo2-doc
Standards-Version: 3.9.8
Homepage: http://poppler.freedesktop.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-freedesktop/poppler.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-freedesktop/poppler.git
Testsuite: autopkgtest

Package: libpoppler68
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: poppler-data
Description: PDF rendering library
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the shared core library.

Package: libpoppler0.57-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libpoppler68 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libpoppler-dev
Description: PDF rendering library -- development files
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the development libraries needed to build applications
 using Poppler.

Package: libpoppler0.57-private-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libpoppler0.57-dev (= ${binary:Version}),
         ${misc:Depends}
Suggests: libfreetype6-dev,
Breaks: libpoppler-dev (<< 0.20.2)
Replaces: libpoppler-dev (<< 0.20.2)
Conflicts: libpoppler-private-dev
Description: PDF rendering library -- private development files
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the private and unstable headers needed to build
 applications using the private Poppler core library.
